Loading...
Searching...
No Matches
power.h File Reference
`#include "platform.h"`
`#include "log.h"`
`#include <stddef.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Classes

struct | etl::power< Value, Power >
struct | etl::power< Value, 0 >
struct | etl::power_of_2_round_up< Value >
struct | etl::power_of_2_round_up< 0 >
struct | etl::power_of_2_round_down< Value >
struct | etl::power_of_2_round_down< 0 >
struct | etl::power_of_2_round_down< 1 >
struct | etl::power_of_2_round_down< 2 >
struct | etl::is_power_of_2< Value >
struct | etl::is_power_of_2< 0 >
struct | etl::is_power_of_2< 1 >

## Namespaces

namespace | etl

## Typedefs

typedef uint64_t | etl::private_power::type

## Variables

template<size_t Value, size_t Power>
ETL_CONSTANT private_power::type | etl::power< Value, Power >::value
template<size_t Value>
ETL_CONSTANT private_power::type | etl::power< Value, 0 >::value
template<size_t Value>
ETL_CONSTANT bool | etl::is_power_of_2< Value >::value